#pragma once

#include "Effect.h"
#include "prototypes.h"
#include "my_fastled.h"
#include "Window.h"

class ClockEffect : public Effect {
protected:
    Window* window = &Window::window_clock;

public:
    virtual ~ClockEffect();
    virtual void loop(uint16_t ms);
    String get_name() override { return "clock"; }
    void loop_with_invert(bool invert);
    void loop(boolean invert, CRGB fg_color, CRGB bg_color, uint8_t y);
};
