#pragma once
#include "Effect.h"

class DvdEffect : public Effect {
private:
	Window* window = &Window::window_with_clock;
	saccum78 _x = 0;
	saccum78 _y = 0;
	int8_t _x_dir = 1;
	int8_t _y_dir = 1;
	CRGB _color;
public:
	DvdEffect();
	~DvdEffect();
	void loop(uint16_t ms) override;
	bool can_be_shown_with_clock() override;
	String get_name() override { return "dvd"; }
};
